<?php
function dealWith($value,$Data){


	global
	$web_domain,
	$db_tablepre,
	$timestamp,
	$action;

	/*******************对数值变量进行处理**********************************/


	//   标题
	if (strpos($value,'_tltle')) $Data = str_filter(strip_tags($Data));

	//  内容提取
	elseif (strpos($value,'_content')){
		//判断开始;
		if (preg_match_all("/img[^>]*src[[:blank:]]*=[[:blank:]]*[\'|\"]?([^\'|\"]*)[\'|\"]?.*[\/]?>/i",$Data, $regs)) {
			foreach ($regs[1] as $value){
				$imgLocal = realUrl($value);
				if ($action=='start') $Data=str_replace($value,'/'.imageToLocal($imgLocal),$Data);
				else $Data=str_replace($value,$imgLocal,$Data);
			}
		}

		//$imgLocal = imageToLocal(realUrl($value),false);
		$Data = str_filter(strip_tags($Data,'<p>,<img>,<br>'),'chk');
		if (preg_match("/img[^>]*src[[:blank:]]*=[[:blank:]]*[\'|\"]?([^\'|\"]*)[\'|\"]?.*[\/]?>/i",$Data, $regs)) $Data .= '|'.$regs[1];
	}





	/************************   图片提取   ***************************/

	elseif (strpos($value,'_img')){
		$Datas = explode('img',$Data);
		//print_r($Datas);
		$Data = '';
		foreach ($Datas as $ks => $vs){
			if (preg_match("/img[^>]*src[[:blank:]]*=[[:blank:]]*[\'\"]?(.*)[\'\" ]?.*[\/]?>/",$vs, $regs)) {
				if (!strpos($regs[1],'no.jpg')) {
					$action == 'start' ? $imgLocal = imageToLocal(realUrl($regs[1])) : $imgLocal = imageToLocal(realUrl($regs[1]),false);
					$Data .= $imgLocal.'|';
				}else $Data .= '|';

			}
		}

		//判断结束;
	}



	/*****************************其他变量默认*********************************/

	else $Data = str_filter(strip_tags($Data));
	



	/*******************结束**********************************/

	return $Data;

}
?>